package com.zd.laboratory.service;

import java.util.List;
import com.zd.laboratory.domain.LabRotationChart;

/**
 * 轮播图Service接口
 *
 * @author zd
 * @date 2021-12-28
 */
public interface ILabRotationChartService
{
    /**
     * 查询轮播图
     *
     * @param id 轮播图主键
     * @return 轮播图
     */
    public LabRotationChart selectLabRotationChartById(Long id);

    /**
     * 查询轮播图列表
     *
     * @param labRotationChart 轮播图
     * @return 轮播图集合
     */
    public List<LabRotationChart> selectLabRotationChartList(LabRotationChart labRotationChart);

    /**
     * 查询轮播图列表
     *
     * @return 轮播图集合
     */
    public List<LabRotationChart> selectChartFiveList(String hardwareNum);

    /**
     * 新增轮播图
     *
     * @param labRotationChart 轮播图
     * @return 结果
     */
    public int insertLabRotationChart(LabRotationChart labRotationChart);

    /**
     * 修改轮播图
     *
     * @param labRotationChart 轮播图
     * @return 结果
     */
    public int updateLabRotationChart(LabRotationChart labRotationChart);

    /**
     * 批量删除轮播图
     *
     * @param ids 需要删除的轮播图主键集合
     * @return 结果
     */
    public int deleteLabRotationChartByIds(Long[] ids);

    /**
     * 删除轮播图信息
     *
     * @param id 轮播图主键
     * @return 结果
     */
    public int deleteLabRotationChartById(Long id);
}
